require "import"
import "android.content.Context"
import "android.os.BatteryManager"
import "android.telephony.TelephonyManager"

local context = activity or service
local batteryManager = context.getSystemService(Context.BATTERY_SERVICE)
local telephonyManager = context.getSystemService(Context.TELEPHONY_SERVICE)
local batteryLevel = batteryManager.getIntProperty(BatteryManager.BATTERY_PROPERTY_CAPACITY)

-- Retrieve signal strength for both SIM cards
local sim1SignalStrength = telephonyManager.getAllCellInfo().get(0).getCellSignalStrength().getLevel()
local sim2SignalStrength = telephonyManager.getAllCellInfo().get(1).getCellSignalStrength().getLevel()

service.speak("the current battery level is " .. batteryLevel .. " percent, sim 1 signal strength  is " .. sim1SignalStrength .. " out of 4, sim 2 signal strength is " .. sim2SignalStrength .. " out of 4.")

return true